000100 IDENTIFICATION DIVISION. 
000200 PROGRAM-ID.    DATETIME IS INITIAL. 
000300 AUTHOR.        MJD                 . 
000500 ENVIRONMENT DIVISION.
000600 CONFIGURATION SECTION. 
000700 SOURCE-COMPUTER. RMC.
000800 OBJECT-COMPUTER. RMC.
001000 INPUT-OUTPUT SECTION.
001100 FILE-CONTROL.
001200     COPY "USERF.SL". 
001200     COPY "CNTLF.SL". 
001400 DATA DIVISION. 
001500 FILE SECTION.
001600     COPY "USERF.FD". 
001200     COPY "CNTLF.FD". 
001700
001800 WORKING-STORAGE SECTION. 
CVT    01  PROG-NAME    PIC X(6) VALUE    "USERF".                      
FUJITS* 77  MASTER-DIR              PIC X(10)          VALUE "\PROFITS".

           COPY "CONSTANT.DTA".
121906     COPY "SCREEN.DTA".
121906     COPY "ERROR.DTA".
009800     COPY "STATUS.DTA". 


CLNUP1 77  USERF--NAME PIC X(15) VALUE "USER.FIL" .
CLNUP1 77  USERF-FULLPATH PIC X(35) VALUE SPACES .
001900 01  USERF-STATUS  PIC XX.
           COPY "FSTATUS88.DTA".

CLNUP1 77  CNTLF--NAME    PIC X(15) VALUE "CONTROL.FIL" .
CLNUP1 77  CNTLF-FULLPATH PIC X(35) VALUE SPACES .
001900 01  CNTLF-STATUS   PIC XX.
           COPY "FSTATUS88.DTA".

CLNUP1 77  TEMP-MASTER-DIR PIC X(14) VALUE SPACES .
CLNUP1 01  IO-WAIT-CD  PIC X VALUE "1"                                  
CLNUP1     88 IO-WAIT-ON VALUE IS "1".
CLNUP1     88 IO-WAIT-OFF VALUE IS "0".
CLNUP1 01  CHAIN-PARAM-LEN PIC S9(4) COMP-5.
CLNUP1 01  CHAIN-NAME-LEN PIC S9(4) COMP-5.
CLNUP1 01  DSPL--CONTROL PIC X(100) IS EXTERNAL.
       LINKAGE SECTION.
       01  PASS-DATA.
           05  PASS-USER-NAME           PIC X(25) .
           05  PASS-DATE                PIC X(08).
           05  PASS-TIME                PIC X(08).


       SCREEN SECTION.
CLNUP1     COPY "CONSTANT.SCR".
CLNUP1     COPY "SCRNINIT.SCR".
CLNUP1     COPY "ERRORFIL.SCR".
CLNUP1                         
002700
002800 PROCEDURE DIVISION USING PASS-DATA.
013800 DECLARATIVES.
014000     COPY "USERF.DS". 
014400     GO TO STATUS-EXIT. 
014600     COPY "ERRORFIL.SR".
014700 STATUS-EXIT. EXIT. 
014800 END DECLARATIVES.
014900
002900 MAIN-PROG SECTION. 
003000 BEGIN-RUN. 
            PERFORM USERF-FILL-FULLPATH.
003500 ACCEPT-OPTION. 
004300     OPEN INPUT USERF. 
           READ USERF 
                INVALID KEY MOVE USERF-STATUS TO USERF-STATUS.
004500     CLOSE USERF. 
           ACCEPT DATE-ACCP FROM DATE
           ACCEPT TIME-ACCP FROM TIME
           GO TO END-RUN. 
  
004600 END-RUN.
           MOVE USER-USERID TO PASS-USER-NAME.
           MOVE DATE-ACCP   TO PASS-DATE.
           MOVE TIME-ACCP   TO PASS-TIME.

 
004800 EXIT-RUN.
004900     EXIT PROGRAM.
       FILENAMES SECTION.
       USERF-FILL-FULLPATH.
            MOVE SPACES TO TEMP-MASTER-DIR.
            STRING MASTER-DIR DELIMITED BY LOW-VALUES INTO 
            TEMP-MASTER-DIR.
            MOVE SPACES TO USERF-FULLPATH.
            STRING TEMP-MASTER-DIR "\" USERF--NAME DELIMITED BY SPACES 
            INTO USERF-FULLPATH.

       CHN--PARM-BLOCK.

005000*END-OF-FILE* 
