000100 IDENTIFICATION DIVISION. 
000200 PROGRAM-ID.    U0050 IS INITIAL.
000300 AUTHOR.        KWS.
000400 ENVIRONMENT DIVISION.
000500 CONFIGURATION SECTION. 
           COPY "EXCEL.CS".
000600 SOURCE-COMPUTER. IBM-PC-XT.
000700 OBJECT-COMPUTER. IBM-PC-XT.
000800*REMARKS. 
000900****************************************************************** 
001000*                                                                *
001100* U0050 - CALLED BY PRINT PROGRAMS, PROMPTS FOR PRINTER INFO     *
      *                         V2.6B                                  *
060797* UPD KWS V2.6D- ALLOW UPTO 30 PRINT QUEUE NAMES                 *
072297* UPD KWS V2.6D- IF DEFAULT-CODES = 9, BLOCK PRINTER CODES ?     *
082197* FIX KWS V2.6D- IF F3 ON QUE NAMES, RESTORE FKEYS               *
092797* MOD KWS V2.7 - INDMETAL - CALL LASER FORM AFTER STD PRINTING   *
101197* FIX KWS V2.7 - USE PRINTER #2 INSTEAD OF #1 FOR QUEUE PRINTING *
102997* FIX KWS V2.7 - USE LPT1 ONLY IF CALLING IQ                     *
032899* UPD KWS V2.8 - Y2K DATE CHANGES                                *
052599* UPD KWS V2.8 - ALLOW MULTIPLE FORMS IF FROM 20303              *
071999* MOD KWS V2.8A- INDMETALS- NEED TO RUN O0440/O0490 FROM PROMPT  *
072899* UPD KWS V2.8A- IF BLANK FILENAME, USE HHMMSSTT.PRN             *
120599* UPD KWS V2.8B- ALLOW MULTIPLE RE-CAPTURES OF QUEUE FFROM PGM   *
012000* MOD KWS V2.8C- INDMETALS - BLOCK OUT ACCESS TO SOME QUEUES     *
020400* MOD KWS V2.8C- INDMETALS - ALSO BLOCK XEROX_INKJET, 211 ONLY   *
012101* UPD KWS V2.9 - ALLOW 50 PRINT-QUEUES                           *
100301* MOD KWS V2.9A- INDMETALS- BLOCK QUEUES IF 020101               *
102001* UPD KWS V2.9A- ALLOW DUPLEXING & PAPER TRAY IF LASER & REPORTS *
103101* MOD KWS V2.9A- INDMETALS- DO NOT ASK DUPLEX QUESTIONS          *
032702* UPD KWS V2.9A- CHECK UNTIL SPACES TO MAKE FASTER               *
032702* MOD KWS V2.9A- INDUST- ALLOW BREMAN Q'S IN ORDER ENTRY         *
040302* MOD KWS V2.9A- INDUST- IF WILL CALL DO NOT OFFER UP_????       *
061902* MOD KWS V2.9A- INDUST- USE IMS-Q ARRAY INSTEAD OF READING NDS  *
091802* FIX KWS V2.9A- INDUST- LOSES QNAMES IF F3                      *
102702* FIX KWS V2.9A- DO NOT ASK DUPLEX/SIMPLEX ON FORMS              *
102702* FIX KWS V2.9A- DO NOT ASK DUPLEX/SIMPLEX IF TO SCREEN          *
122202* UPD KWS V2.9A- LOAD QUEUES FROM CNTL7/8 (LOADED BY LOADPRTQ)   *
010603* FIX KWS V2.9B- INSPECT WILL FIND LAST MATCH, USE IF INSTEAD    *
012803* UPD KWS V2.9B- INCREASED WS-DEFAULT-QUEUE FROM 10 TO 31        *
081803* FUJ KWS V3.0 - NEEDED FOR COMPATIBILITY WITH FUJITSU           *
091203* UPD KWS V3.0 - SET DEFAULT TO SIMPLEX INSTEAD OF DUPLEX        *
110103* XP  KWS V3.0 - CHANGES TO MAKE PRINTING WORK WITH XP           *
111403* FIX SKI V3.0 - REMOVE GETFLG                                   *
121803* UPD KWS V3.0 - LOGIC FOR PDF FILES                             *
020204* UPD KWS V3.0 - PDF, FORCE HPLASER CODES, DONT ASK DUPLEX IF PDF*
072904* UPD KWS V3.1 - ADD 'L' TO FORM-STOCK-FLAG FOR LABEL-STOCK      *
121704* FUJ KWS V3.1 - CHANGES FOR FUJ PRINTING LOGIC                  *
022504* UPD KWS      - DEFAULT TO SIMPLEX FOR REPORTS                  *
032405* UPD KWS V4.0 - REMOVE LOCAL PORTS (LPTx) USE WINDOWS PRINTERS  *
041905* UPD KWS V4.0 - ALLOW TWO DIGIT TRAY NUMBER                     *
053105* UPD KWS V4.0 - PUT BACK SCREEN OPTION                          *
082005* DBG SKI V4.0 - TRACE PRINT QUEUES                              *
111706* UPD KWS V4.1 - ADD LPT1 TO ALLOW PRINTING OF PW TICKETS        *
021207* UPD KWS V4.2 - AP CHECK MICR PROBLEM WITH PCLP                 *
030608* UPD KWS V4.4 - STAR PROD MENU 4.1.1 ALLOW SELCTION OF LPT1:    *
022711* UPD KWS V4.5.3- USED BY PI305 ONLY ALLOWS TICKETS TO REMOTE PRN*
001400******************************************************************
001500 INPUT-OUTPUT SECTION.
001600 FILE-CONTROL.
001900     COPY "CNTLF.SL". 
002000     COPY "USERF.SL". 
            COPY "STEST.SL".
002200
002300 DATA DIVISION. 
       BASED-STORAGE SECTION.
            COPY "STEST.BS".
002400 FILE SECTION.
002700     COPY "CNTLF.FD". 
002800     COPY "USERF.FD". 
            COPY "STEST.FD".
003100
003200 WORKING-STORAGE SECTION. 
CVT    01  PROG-NAME    PIC X(9) VALUE    "U0050 ".
003300
004600     COPY "CONSTANT.DTA". 
004800     COPY "ERROR.DTA".
004900     COPY "SCREEN.DTA". 
005000     COPY "STATUS.DTA". 
072899*    COPY "DATE.DTA".
011103     COPY "QUEUE.DTA".
110103     COPY "CHAINR.DTA".

CS9650 77  PRNT-FILENAME           PIC X(32) VALUE SPACES.
       77  P-NUM                   PIC 9     VALUE ZEROES.
CS1300 77  PRNT-CHOICE             PIC 9 VALUE ZERO.
060289 77  FILE-SCREEN         PIC X(20) VALUE "Enter File To Print:".
       01  FORM-STOCK-FLAG         PIC X VALUE "N".
           88 PRE-PRINTED-FORM     VALUE "Y".
           88 STOCK-PAPER          VALUE "N".
072904     88 LABEL-STOCK          VALUE "L".
121694     88 DO-NOTHING           VALUE " ".
033197*77  LABEL-MSG               PIC X(30) VALUE SPACES.
006400
CS0050 01  PRINT-1. 
CS0100     05  PRNT-1-01        PIC X(78) VALUE "                       
CS0150-    "                                                       ". 
CS0200     05  PRNT-1-02        PIC X(78) VALUE "                       
CS0250-    " Print to?                                             ". 
CS0300     05  PRNT-1-03        PIC X(78) VALUE "                       
032405-    " Use Codes For?                                        ". 
032405**>-    "                                                       ". 
CS0400     05  PRNT-1-04        PIC X(78) VALUE "                       
032405*    " Spool Output?                                         ". 
032405-    "                                                       ". 
CS0900
CS0950 01  PRINT-DEVICES. 
030995     05  PRN-1           PIC X(11) VALUE "Local LPT1:".
030995     05  PRN-2           PIC X(11) VALUE "Local LPT2:".
030995     05  PRN-3           PIC X(11) VALUE "Local LPT3:".
022711*    05  QUEUE-1         PIC X(11) VALUE "PrinterList".
022711*    05  ON-SCREEN       PIC X(11) VALUE "On Screen  ".
022711*    05  FILE-1          PIC X(11) VALUE "File ".
022711     05  REMOTE-1        PIC X(11) VALUE "REMOTE LPT1".
022711     05  REMOTE-2        PIC X(11) VALUE "REMOTE LPT2".
022711     05  REMOTE-3        PIC X(11) VALUE "REMOTE LPT3".
122795     05  EZFAX           PIC X(11) VALUE "      ".
022711*    05  FILLER          PIC X(11) VALUE "PDF  ".
022711     05  FILLER          PIC X(11) VALUE "     ".
102595     05  FILLER          PIC X(11) VALUE "     ".
CS1150 01  PRINT-DEVICES-REDEF REDEFINES PRINT-DEVICES. 
102595     05  PRINT-DEVICE-OPT PIC X(11) OCCURS 9 TIMES.

031496 01  PRINT-CODES. 
031496     05  FILLER          PIC X(10) VALUE SPACES.
031496     05  FILLER          PIC X(10) VALUE SPACES.
031496     05  FILLER          PIC X(10) VALUE SPACES.
031496     05  FILLER          PIC X(10) VALUE "HPLASER".
031496 01  PRINT-CODE-REDEF REDEFINES PRINT-CODES. 
031496     05  PRINT-CODE-OPT PIC X(10) OCCURS 4 TIMES.

102001 01  DUPLEX-OPTS. 
102001     05  FILLER          PIC X(16) VALUE "Simplex Printing".
102001     05  FILLER          PIC X(16) VALUE "Duplex Printing ".
CS1250
060289 01  FILE-SPECS.
004800     05  FILLER      PIC X(14)  VALUE "1636X32320E   ". 
005000 01  FILE-SPECS-REDEF REDEFINES FILE-SPECS. 
005100     05  FILE-SPEC OCCURS 1 TIMES. 
005200         10  ROW         PIC 99.
005300         10  COL         PIC 99.
005400         10  TYP         PIC X. 
005500         10  FLEN        PIC 99.
005600         10  SLEN        PIC 99.
005700         10  OPTION      PIC 9. 
005800         10  ATTR1       PIC XX.
005900         10  ATTR2       PIC XX.
006000
CS0050 01  PRNT-SPECS-1.
102595     05  FILLER      PIC X(14)  VALUE "1342O09111    ". 
032405     05  FILLER      PIC X(14)  VALUE "1442O04101    ". 
032405     05  FILLER      PIC X(14)  VALUE "1542O02031IP  ". 
CS0250 01  PRNT-1-REDEF REDEFINES PRNT-SPECS-1. 
CS0300     05  PRNT-1 OCCURS 3 TIMES. 
CS0350         10  ROW         PIC 99.
CS0400         10  COL         PIC 99.
CS0450         10  TYP         PIC X. 
CS0500         10  FLEN        PIC 99.
CS0550         10  SLEN        PIC 99.
CS0600         10  OPTION      PIC 9. 
CS0650         10  ATTR1       PIC XX.
CS0700         10  ATTR2       PIC XX.
CS1350
CS1400 01  PRINT-HELP1. 
CS1450     05  FILLER PIC X(120)   VALUE "  This question allows you to 
CS1500-    "redirect the printed output to the main printer     LPT1:, o
CS1550-    "r the secondary printer LPT2:.".
CS1600     05  FILLER PIC X(118)   VALUE "  It also allows you to direct
CS1650-    " the        output to a disk file.  This is usefull if you w
CS1700-    "ish to transmit the report.$".

032593     05 FILLER PIC X(40) VALUE
032593     " Use the space bar to select the printer".
032593     05 FILLER PIC X(40) VALUE
032593     " control codes for the printer that you ".
032593     05 FILLER PIC X(40) VALUE
032593     " selected.                             $".

CS2788 01  PRNT-HELP1.
CS3400     05  FILLER PIC X(044)   VALUE " Use the space bar to choose [
CS3450-    "YES] or [NO].$".

060289 01  FILE-HELP.
060289     05  FILLER PIC X(120)   VALUE " Enter the file name where you 
060289-    " would like to store the report.  It can consist   of a disk
060289-    " drive name, directory name, a".
060289     05  FILLER PIC X(106)   VALUE "nd file name.  It can also jus
060289-    "t be a     file name if you want the file stored in the curr
060289-    "ent directory. $".


102001 01  PRNT-SPECS-2.
091203     05  FILLER      PIC X(14)  VALUE "1642O02161    ". 
041905*    05  FILLER      PIC X(14)  VALUE "1742D01010    ". 
041905     05  FILLER      PIC X(14)  VALUE "1742D02020    ". 
102001 01  PRNT-2-REDEF REDEFINES PRNT-SPECS-2. 
102001     05  PRNT-2 OCCURS 2 TIMES. 
102001         10  ROW         PIC 99.
102001         10  COL         PIC 99.
102001         10  TYP         PIC X. 
102001         10  FLEN        PIC 99.
102001         10  SLEN        PIC 99.
102001         10  OPTION      PIC 9. 
102001         10  ATTR1       PIC XX.
102001         10  ATTR2       PIC XX.
102001
102001 01  PRINT-HELP2. 
102001     05  FILLER PIC X(120)   VALUE "  This question allows you to 
102001-    "print on both sides of your paper if your           printer 
102001-    "supports it.                 $".
102001 
102001     05 FILLER PIC X(40) VALUE
102001     " This field is used to tell the printer ".
102001     05 FILLER PIC X(40) VALUE
102001     "which paper tray to pull the paper from.".
102001     05 FILLER PIC X(40) VALUE
102001     "                                       $".


122202*77  IMS-QUEUE-CNT           PIC 99   VALUE 1.
122202*01  IMS-QUEUE-DATA.
122202*    05 IMS-QUEUE-NAMES.
122202*       10 IMS-OBJECT-NAME   PIC X(31) OCCURS 20.
122202*    05 IMS-QUEUE-IDS.
122202*       10 IMS-OBJECT-ID     PIC X(04) OCCURS 20.

122202*01  IMS-Q-NAMES.
122202*    05  FILLER              PIC X(31) VALUE "ACCT_LASER".
122202*    05  FILLER              PIC X(31) VALUE "APCHECK   ".
122202*    05  FILLER              PIC X(31) VALUE "BRM_CASH  ".
122202*    05  FILLER              PIC X(31) VALUE "BRM_LASER ".
122202*    05  FILLER              PIC X(31) VALUE "BRM_PICK  ".
122202*    05  FILLER              PIC X(31) VALUE "DN_CASH   ".
122202*    05  FILLER              PIC X(31) VALUE "DN_PICK   ".
122202*    05  FILLER              PIC X(31) VALUE "IMSSHIP   ".
122202*    05  FILLER              PIC X(31) VALUE "INVENTORY ".
122202*    05  FILLER              PIC X(31) VALUE "INVOICE   ".
122202*    05  FILLER              PIC X(31) VALUE "LASER     ".
122202*    05  FILLER              PIC X(31) VALUE "REPORTS   ".
122202*    05  FILLER              PIC X(31) VALUE "SALESLASER".
122202*    05  FILLER              PIC X(31) VALUE "SHIPPING  ".
122202*    05  FILLER              PIC X(31) VALUE "SIEGEL    ".
122202*    05  FILLER              PIC X(31) VALUE "STOCKROOM ".
122202*    05  FILLER              PIC X(31) VALUE "UP_CASH   ".
122202*    05  FILLER              PIC X(31) VALUE "UP_PICK   ".
122202*    05  FILLER              PIC X(31) VALUE "          ".
122202*    05  FILLER              PIC X(31) VALUE "          ".

122202*01  IMS-Q-IDS.
122202*    05  FILLER              PIC X(04) VALUE X"1E810000".
122202*    05  FILLER              PIC X(04) VALUE X"1F810000".
122202*    05  FILLER              PIC X(04) VALUE X"AE810000".
122202*    05  FILLER              PIC X(04) VALUE X"AC810000".
122202*    05  FILLER              PIC X(04) VALUE X"AD810000".
122202*    05  FILLER              PIC X(04) VALUE X"23810000".
122202*    05  FILLER              PIC X(04) VALUE X"24810000".
122202*    05  FILLER              PIC X(04) VALUE X"D2810000".
122202*    05  FILLER              PIC X(04) VALUE X"A7810000".
122202*    05  FILLER              PIC X(04) VALUE X"26810000".
122202*    05  FILLER              PIC X(04) VALUE X"27810000".
122202*    05  FILLER              PIC X(04) VALUE X"28810000".
122202*    05  FILLER              PIC X(04) VALUE X"29810000".
122202*    05  FILLER              PIC X(04) VALUE X"2A810000".
122202*    05  FILLER              PIC X(04) VALUE X"2B810000".
122202*    05  FILLER              PIC X(04) VALUE X"2C810000".
122202*    05  FILLER              PIC X(04) VALUE X"2D810000".
122202*    05  FILLER              PIC X(04) VALUE X"2E810000".
122202*    05  FILLER              PIC X(04) VALUE X"00000000".
122202*    05  FILLER              PIC X(04) VALUE X"00000000".
122202*
030995 01  QUEUE-FOUND-DATA.
012101     05 Q-F-D OCCURS 50 TIMES.
030995        10 QUEUE-NAME       PIC X(31).
030995        10 QUEUE-OBJECT-ID  PIC X(04).

052695 77  QUEUE-DEFAULT-NO       PIC 99    VALUE 99.
030995 01  QUEUE-CNT              PIC 999   VALUE 0.
       77  ARRAY-CNT              PIC 99    VALUE ZERO.
       77  BOX-CNT                PIC 99    VALUE ZERO.
030995 01  QUEUEF-STATUS        PIC XX VALUE SPACES.

030995 77  QUE-NUMBER           PIC 99 VALUE ZERO.
030995 77  QUE-NAME             PIC X(1) VALUE SPACES.
030995 01  QUEUE-SPECS.
030995     05  FILLER      PIC X(14)  VALUE "0679X01010  IE".

030995 01  QUEUE-SP REDEFINES QUEUE-SPECS.
030995     05  SRCH-SP OCCURS 2 TIMES.
030995         10  ROW         PIC 99.
030995         10  CLM         PIC 99.
030995         10  TYP         PIC X.
030995         10  FLEN        PIC 99.
030995         10  SLEN        PIC 99.
030995         10  OPTION      PIC 9.
030995         10  ATTR1       PIC XX.
030995         10  ATTR2       PIC XX.
041895 01  QUEUE-LINE.
012101     05 SRCH-ARR PIC X(38) OCCURS 50 TIMES.
041895 01  QUEUE-LINE-RED REDEFINES QUEUE-LINE.
012101     05 SA-LINE OCCURS 50 TIMES.
041895        10 SA-ARROW   PIC X(1).
041895        10 SA-OBJECT-NAME PIC X(31).
041895        10 FILLER     PIC X(6).
041895 
       01  QUEUE-HDG.
030995     05  BOX-1       PIC X(40) VALUE
                   "ͻ".
030995     05  BOX-2       PIC X(40) VALUE
030995             "        Available Print Queues        ".
030995     05  BOX-3       PIC X(40) VALUE
030995             "͹".
030995     05  BOX-4.
               10  FILLER      PIC X(01) VALUE "".
               10  BOX-4-DATA  PIC X(38) VALUE SPACES.
030995         10  FILLER      PIC X(01) VALUE "".
030995     05  BOX-5       PIC X(40) VALUE
                   "ͼ".

022196 77  NO-MORE-D   PIC X(24) VALUE " You are at the bottom! ".
022196 77  NO-MORE-U   PIC X(21) VALUE " You are at the Top! ".

030995 01  QUEUE-HELP.
030995     05 FILLER  PIC X(102) VALUE " Select the print queue you wish
030995-    " to print to using the arrow keys.  Press ENTER  to accept a
030995-    " queue.$".
       77  TEMP-LINE              PIC X(35) VALUE SPACES.

       01  WS-PASSED.
           05  WS-FKEYS           PIC X(10) VALUE "0000000000".
           05  WS-FLAG            PIC 9     VALUE ZERO.
           05  WS-FILE-1          PIC X(11) VALUE "File ".
           05  WS-FORM-STOCK-FLAG PIC X     VALUE SPACES.
032296     05  WS-DEFAULT-CODES   PIC 9     VALUE 0.
           05  QUEUE-DEFAULT-NAME PIC X(31) VALUE "PAPER".
092295     05  WS-ON-SCREEN       PIC X(11) VALUE "On Screen  ".
122795     05  WS-EZFAX           PIC X(11) VALUE "      ".
           05  WS-RETURN-CD       PIC X     VALUE " ".
033197     05  LABEL-MSG          PIC X(30) VALUE SPACES.
120599     05  WS-RESET-CD          PIC 9     VALUE 2.
120599         88 RESET-PRINT-QUEUE           VALUE 1.
005100
005400 77  CNTLF-STATUS        PIC XX.
005500 77  USERF-STATUS        PIC XX.

012000 01  WS-CUSTOMIZED-FLAG     PIC 9(5) VALUE ZERO.
012000     88 INDMETALS           VALUE 00138.
012000     88 PCS                 VALUE 00003.
CLNUP1 77  CNTLF--NAME PIC X(15) VALUE "CONTROL.FIL" .
CLNUP1 77  CNTLF-FULLPATH PIC X(35) VALUE SPACES .
CLNUP1 77  TEMP-MASTER-DIR PIC X(14) VALUE SPACES .
CLNUP1 77  TEMP-SUB-DIR PIC X(14) VALUE SPACES .
CLNUP1 77  USERF--NAME PIC X(15) VALUE "USER.FIL" .
CLNUP1 77  USERF-FULLPATH PIC X(35) VALUE SPACES .
CLNUP1 01  IO-WAIT-CD  PIC X VALUE "1"                                  
CLNUP1     88 IO-WAIT-ON VALUE IS "1".
CLNUP1     88 IO-WAIT-OFF VALUE IS "0".
            COPY "STEST.DTA".
CLNUP1 01  CHAIN-PARAM-LEN PIC S9(4) COMP-5.
CLNUP1 01  CHAIN-NAME-LEN PIC S9(4) COMP-5.
CLNUP1 01  DSPL--CONTROL PIC X(100) IS EXTERNAL.
082005 01 TVARTMPDATA.
082005     05 TVARTMP PIC 9(10).
082005     05 QNI. 
082005         10 QUEUE-NUM-INTL PIC S9(9) COMP-5.
082005     05 FILLER REDEFINES QNI.
082005         10 QUEUE-NUM-X PIC X(4).    
       SCREEN SECTION.
CLNUP1     COPY "SCRNINIT.SCR".
CLNUP1     COPY "ERRORFIL.SCR".
CLNUP1                         
           COPY "CONSTANT.SCR".
           COPY "CHAINR.SCR".
CLNUP1*01 SCR-errorfil-sr-14-20 PIC IS X(51) FROM BOX-TOP CONTROL 
CLNUP1*     DSPL--CONTROL LINE 08 COLUMN 14 REVERSE-VIDEO.
CLNUP1*01 SCR-errorfil-sr-15-20 PIC IS X(51) FROM BOX-MIDDLE CONTROL 
CLNUP1*     DSPL--CONTROL LINE 09 COLUMN 14 REVERSE-VIDEO.
CLNUP1*01 SCR-errorfil-sr-16-20 PIC IS X(51) FROM BOX-MIDDLE CONTROL 
CLNUP1*     DSPL--CONTROL LINE 10 COLUMN 14 REVERSE-VIDEO.
CLNUP1*01 SCR-errorfil-sr-17-20 PIC IS X(51) FROM BOX-MIDDLE CONTROL 
CLNUP1*     DSPL--CONTROL LINE 11 COLUMN 14 REVERSE-VIDEO.
CLNUP1*01 SCR-errorfil-sr-18-20 PIC IS X(51) FROM BOX-MIDDLE CONTROL 
CLNUP1*     DSPL--CONTROL LINE 12 COLUMN 14 REVERSE-VIDEO.
CLNUP1*01 SCR-errorfil-sr-19-20 PIC IS X(51) FROM BOX-MIDDLE CONTROL 
CLNUP1*     DSPL--CONTROL LINE 13 COLUMN 14 REVERSE-VIDEO.
CLNUP1*01 SCR-errorfil-sr-20-20 PIC IS X(51) FROM BOX-MIDDLE CONTROL 
CLNUP1*     DSPL--CONTROL LINE 14 COLUMN 14 REVERSE-VIDEO.
CLNUP1*01 SCR-errorfil-sr-21-20 PIC IS X(51) FROM BOX-BOTTOM CONTROL 
CLNUP1*     DSPL--CONTROL LINE 15 COLUMN 14 REVERSE-VIDEO.
CLNUP1*01 SCR-errorfil-sr-35-20 PIC IS X(40) FROM ERROR-MSG CONTROL 
CLNUP1*     DSPL--CONTROL LINE 10 COLUMN 17 REVERSE-VIDEO.
CLNUP1*01 SCR-errorfil-sr-36-20 PIC IS X(35) FROM ERROR-LINE-1 CONTROL 
CLNUP1*     DSPL--CONTROL LINE 11 COLUMN 17 REVERSE-VIDEO.
CLNUP1*01 SCR-errorfil-sr-37-20 PIC IS X(41) FROM ERROR-LINE-2 CONTROL 
CLNUP1*     DSPL--CONTROL LINE 12 COLUMN 17 REVERSE-VIDEO.
CLNUP1*01 SCR-errorfil-sr-38-20 PIC IS X(40) FROM ERROR-CONTACT CONTROL 
CLNUP1*     DSPL--CONTROL LINE 13 COLUMN 17 REVERSE-VIDEO.
CLNUP1*01 SCR-errorfil-sr-39-20 PIC IS X(40) FROM ERROR-RESUME CONTROL 
CLNUP1*     DSPL--CONTROL LINE 14 COLUMN 17 REVERSE-VIDEO.
CLNUP1*01 SCR-errorfil-sr-40-20 VALUE IS "Program Name = " CONTROL 
CLNUP1*     DSPL--CONTROL LINE 09 COLUMN 17 REVERSE-VIDEO.
CLNUP1*01 SCR-errorfil-sr-41-20 PIC IS X(6) FROM PROG-NAME CONTROL 
CLNUP1*     DSPL--CONTROL LINE 09 COLUMN 32 REVERSE-VIDEO.
CLNUP1*01 SCR-scrninit-sr-13-20 PIC IS X(80) FROM SCRN-TITLE-1 CONTROL 
CLNUP1*     DSPL--CONTROL LINE 01 COLUMN 01.
CLNUP1*01 SCR-scrninit-sr-14-20 PIC IS X(80) FROM SCRN-TITLE-2 CONTROL 
CLNUP1*     DSPL--CONTROL LINE 02 COLUMN 01.
CLNUP1*01 SCR-scrninit-sr-15-20 VALUE IS " PGM=" CONTROL DSPL--CONTROL 
CLNUP1*     LINE 02 COLUMN 04.
CLNUP1*01 SCR-scrninit-sr-16-20 PIC IS X(6) FROM PROG-NAME CONTROL 
CLNUP1*     DSPL--CONTROL LINE 02 COLUMN 09.
CLNUP1*01 SCR-scrninit-sr-17-20 VALUE IS " Station " CONTROL 
CLNUP1*     DSPL--CONTROL LINE 02 COLUMN 19.
CLNUP1*01 SCR-scrninit-sr-18-20 PIC IS X(2) FROM USER-TERMID CONTROL 
CLNUP1*     DSPL--CONTROL LINE 02 COLUMN 28.
CLNUP1*01 SCR-scrninit-sr-21-20 VALUE IS " " CONTROL DSPL--CONTROL LINE 
CLNUP1*     TIMER-CNT COLUMN 1 SIZE IS 80.
CLNUP1*01 SCR-chainr-sr-15-20 VALUE IS " " CONTROL DSPL--CONTROL LINE 21
CLNUP1*      COLUMN 1.
CLNUP1*01 SCR-chainr-sr-28-23 PIC IS X(2) FROM DOS-RET-CODE CONTROL 
CLNUP1*     DSPL--CONTROL LINE 21 COLUMN 1 REVERSE-VIDEO.
CLNUP1*01 SCR-chainr-sr-29-23 VALUE IS " COULD NOT LOAD COMMAND.COM OR P
CLNUP1*01 SCR-chainr-sr-29-23 VALUE IS " COULD NOT LOAD COMMA
CLNUP1*     REVERSE-VIDEO.
CLNUP1*01 SCR-chainr-sr-31-23 CONTROL DSPL--CONTROL LOWLIGHT.
CLNUP1*01 SCR-chainr-sr-31-23 CONTROL DSPL--CONTROL LOWLIG
CLNUP1* 02 PIC X(80) FROM DOS-CALL-81-160 LINE 23 COLUMN 1 .
CLNUP1*01 SCR-chainr-sr-34-23 VALUE IS " E3 - INSUFFICIENT MEMORY " 
CLNUP1*     CONTROL DSPL--CONTROL LINE 21 COLUMN 1 REVERSE-VIDEO.
CLNUP1*01 SCR-chainr-sr-38-23 VALUE IS "COPY FAILED - " CONTROL 
CLNUP1*     DSPL--CONTROL LINE 21 COLUMN 1 REVERSE-VIDEO.
CLNUP1*01 SCR-chainr-sr-39-26 PIC IS X(2) FROM DOS-RET-CODE CONTROL 
CLNUP1*     DSPL--CONTROL LINE 21 COLUMN 15.
       01 SCR-u0050-cbl-343-20 VALUE IS " " CONTROL DSPL--CONTROL LINE 
            22 COLUMN 1.
       01 SCR-u0050-cbl-344-20 VALUE IS " " CONTROL DSPL--CONTROL LINE 
            22 COLUMN 1.
       01 SCR-u0050-cbl-345-20 VALUE IS " " CONTROL DSPL--CONTROL LINE 
            22 COLUMN 1.
       01 SCR-u0050-cbl-346-20 VALUE IS " " CONTROL DSPL--CONTROL LINE 
            22 COLUMN 1.
       01 SCR-u0050-cbl-347-20 VALUE IS " " CONTROL DSPL--CONTROL LINE 
            22 COLUMN 1.
       01 SCR-u0050-cbl-362-20 PIC IS X(9) FROM PROG-NAME CONTROL 
            DSPL--CONTROL LINE 2 COLUMN 09.
       01 SCR-u0050-cbl-405-20 PIC IS X(78) FROM CLEAR-19 CONTROL 
            DSPL--CONTROL LINE CNT COLUMN 2.
       01 SCR-u0050-cbl-408-20 PIC IS X(20) FROM FILE-SCREEN CONTROL 
            DSPL--CONTROL LINE 16 COLUMN 14.
       01 SCR-u0050-cbl-466-20 PIC IS X(40) FROM BOX-1 CONTROL 
            DSPL--CONTROL LINE 6 COLUMN 19.
       01 SCR-u0050-cbl-467-20 PIC IS X(40) FROM BOX-2 CONTROL 
            DSPL--CONTROL LINE 7 COLUMN 19.
       01 SCR-u0050-cbl-468-20 PIC IS X(40) FROM BOX-3 CONTROL 
            DSPL--CONTROL LINE 8 COLUMN 19.
       01 SCR-u0050-cbl-469-20 PIC IS X(40) FROM BOX-4 CONTROL 
            DSPL--CONTROL LINE 9 COLUMN 19.
       01 SCR-u0050-cbl-470-20 PIC IS X(40) FROM BOX-4 CONTROL 
            DSPL--CONTROL LINE 10 COLUMN 19.
       01 SCR-u0050-cbl-471-20 PIC IS X(40) FROM BOX-4 CONTROL 
            DSPL--CONTROL LINE 11 COLUMN 19.
       01 SCR-u0050-cbl-472-20 PIC IS X(40) FROM BOX-4 CONTROL 
            DSPL--CONTROL LINE 12 COLUMN 19.
       01 SCR-u0050-cbl-473-20 PIC IS X(40) FROM BOX-4 CONTROL 
            DSPL--CONTROL LINE 13 COLUMN 19.
       01 SCR-u0050-cbl-474-20 PIC IS X(40) FROM BOX-4 CONTROL 
            DSPL--CONTROL LINE 14 COLUMN 19.
       01 SCR-u0050-cbl-475-20 PIC IS X(40) FROM BOX-4 CONTROL 
            DSPL--CONTROL LINE 15 COLUMN 19.
       01 SCR-u0050-cbl-476-20 PIC IS X(40) FROM BOX-4 CONTROL 
            DSPL--CONTROL LINE 16 COLUMN 19.
       01 SCR-u0050-cbl-477-20 PIC IS X(40) FROM BOX-4 CONTROL 
            DSPL--CONTROL LINE 17 COLUMN 19.
       01 SCR-u0050-cbl-478-20 PIC IS X(40) FROM BOX-4 CONTROL 
            DSPL--CONTROL LINE 18 COLUMN 19.
       01 SCR-u0050-cbl-479-20 PIC IS X(40) FROM BOX-5 CONTROL 
            DSPL--CONTROL LINE 19 COLUMN 19.
       01 SCR-u0050-cbl-483-20 PIC IS X(38) FROM SA-LINE ( ARRAY-CNT ) 
            CONTROL DSPL--CONTROL LINE CNT COLUMN 20.
       01 SCR-u0050-cbl-489-20 PIC IS X(38) FROM SA-LINE ( ARRAY-CNT ) 
            CONTROL DSPL--CONTROL LINE CNT COLUMN 20 REVERSE-VIDEO.
       01 SCR-u0050-cbl-494-20 PIC IS X(38) FROM SA-LINE ( ARRAY-CNT ) 
            CONTROL DSPL--CONTROL LINE CNT COLUMN 20.
       01 SCR-u0050-cbl-503-20 PIC IS X(40) FROM CLEAR-40 CONTROL 
            DSPL--CONTROL LINE CNT COLUMN 19.
       01 SCR-u0050-cbl-564-20 PIC IS X(30) FROM LABEL-MSG CONTROL 
            DSPL--CONTROL LINE 11 COLUMN 25.
       01 SCR-u0050-cbl-611-23 PIC IS X(78) FROM PRNT-1-01 CONTROL 
            DSPL--CONTROL LINE 12 COLUMN 2.
       01 SCR-u0050-cbl-612-23 PIC IS X(78) FROM PRNT-1-02 CONTROL 
            DSPL--CONTROL LINE 13 COLUMN 2.
       01 SCR-u0050-cbl-613-23 PIC IS X(78) FROM PRNT-1-03 CONTROL 
            DSPL--CONTROL LINE 14 COLUMN 2.
       01 SCR-u0050-cbl-614-23 PIC IS X(78) FROM PRNT-1-04 CONTROL 
            DSPL--CONTROL LINE 15 COLUMN 2.
       01 SCR-u0050-cbl-615-23 PIC IS X(78) FROM PRNT-1-01 CONTROL 
            DSPL--CONTROL LINE 16 COLUMN 2.
       01 SCR-u0050-cbl-616-23 PIC IS X(78) FROM PRNT-1-01 CONTROL 
            DSPL--CONTROL LINE 17 COLUMN 2.
       01 SCR-u0050-cbl-617-23 PIC IS X(78) FROM PRNT-1-01 CONTROL 
            DSPL--CONTROL LINE 18 COLUMN 2.
       01 SCR-u0050-cbl-618-23 PIC IS X(78) FROM PRNT-1-01 CONTROL 
            DSPL--CONTROL LINE 19 COLUMN 2.
       01 SCR-u0050-cbl-695-20 PIC IS X(80) FROM CLEAR-21 CONTROL 
            DSPL--CONTROL LINE 16 COLUMN 1.
       01 SCR-u0050-cbl-696-20 VALUE IS "Print using? " CONTROL 
            DSPL--CONTROL LINE 16 COLUMN 26.
       01 SCR-u0050-cbl-697-20 VALUE IS "Use Tray No.?" CONTROL 
            DSPL--CONTROL LINE 17 COLUMN 26.
       01 SCR-u0050-cbl-799-26 PIC IS X(21) FROM NO-MORE-U CONTROL 
            DSPL--CONTROL LINE 21.
       01 SCR-u0050-cbl-820-26 PIC IS X(24) FROM NO-MORE-D CONTROL 
            DSPL--CONTROL LINE 21.
005700
008100 PROCEDURE DIVISION.
008200 DECLARATIVES.
008300     COPY "CNTLF.DS". 
008400     COPY "USERF.DS". 
010000     GO TO STATUS-EXIT. 
010100
010200     COPY "ERRORFIL.SR".
010300 STATUS-EXIT. EXIT. 
010400 END DECLARATIVES.
010500
010600 MAIN-PROG SECTION. 
010700 OPEN-FILES.
            PERFORM USERF-FILL-FULLPATH.
021087     PERFORM GETCP-WS-PASSED.
           DISPLAY SCR-u0050-cbl-343-20  . 
           DISPLAY SCR-u0050-cbl-344-20  . 
           DISPLAY SCR-u0050-cbl-345-20  . 
           DISPLAY SCR-u0050-cbl-346-20  . 
           DISPLAY SCR-u0050-cbl-347-20  . 
           MOVE WS-FKEYS  TO FKEYS.
022711*    MOVE WS-FILE-1 TO FILE-1.
           MOVE WS-FORM-STOCK-FLAG TO FORM-STOCK-FLAG.
022711*    MOVE WS-ON-SCREEN       TO ON-SCREEN.
           MOVE WS-EZFAX           TO EZFAX.
053105*    MOVE SPACES TO ON-SCREEN, EZFAX, PRN-1, PRN-2, PRN-3.
053105     MOVE SPACES TO         EZFAX, PRN-1, PRN-2, PRN-3.
111706     IF LAST-OPTION = 050202 OR 050201
111706        MOVE "LPT1:" TO PRN-1
111706        MOVE "LPT2:" TO PRN-2
111706        MOVE "LPT3:" TO PRN-3.

010800     PERFORM PGM-INIT.
012000     IF USER-SN = 00138 OR 00003 OR 00112
122995        MOVE USER-SN TO WS-CUSTOMIZED-FLAG.
051095     IF WS-CUSTOMIZED-FLAG > ZERO
042595        MOVE "U0050M" TO PROG-NAME.
           DISPLAY SCR-u0050-cbl-362-20  .
032405     IF LAST-OPTION = 040900 OR 040800
032405        MOVE X"0000" TO SET-PRINTER
032405     ELSE
10299      MOVE X"0001" TO SET-PRINTER.
030607     IF LAST-OPTION = 050202 OR 050201 OR 060303 OR 040101
111706        MOVE "LPT1:" TO PRN-1
111706        MOVE "LPT2:" TO PRN-2
111706        MOVE "LPT3:" TO PRN-3.

           PERFORM GET-PRINT-OPTIONS THRU GET-PRINT-OPTIONS-EXIT.

029100 EXIT-RUN.
           MOVE FLAG TO WS-FLAG.
           MOVE "Y"  TO WS-RETURN-CD.
      *-- DUMMY CHAIN TO PASS INFO BACK TO CALLING PROGRAM --*
081803     MOVE SPACES TO NEXT-PROG.
           PERFORM CHN--WS-PASSED.
       MAIN-PROG-EXIT. EXIT.
029400

       SUBROUTINE SECTION.
015800 PGM-INIT.
102402     MOVE "            " TO CNTLF-REC.
102402     MOVE "            " TO CNTLF-REC.
102402     MOVE "            " TO CNTLF-REC.
102402     MOVE "            " TO CNTLF-REC.
102402     MOVE "            " TO CNTLF-REC.
102402     MOVE "            " TO CNTLF-REC.
102402     MOVE "            " TO CNTLF-REC.
102402     MOVE "            " TO CNTLF-REC.
102402     MOVE "            " TO CNTLF-REC.
102402     MOVE "            " TO CNTLF-REC.
102402     MOVE "            " TO CNTLF-REC.
102402     MOVE "            " TO CNTLF-REC.
102402     MOVE "            " TO CNTLF-REC.
102402     MOVE "            " TO CNTLF-REC.
102402     MOVE "            " TO CNTLF-REC.
015900     PERFORM CONTROL-INIT.
081694     MOVE 0 TO MODE-NO-M, VIDEO-M.
081694     MOVE 1 TO REQUEST-M. 
081694     MOVE COLOR-SELECT(USER-BGRND-COLOR-CD) TO BACK-COLOR-M.
081694     MOVE COLOR-SELECT(USER-FGRND-COLOR-CD) TO FORE-COLOR-M. 
081694     PERFORM CHANGE-COLOR.

           COPY "SCRNINIT.SR".

110295 CLEAR-LINE-19.
110295     DISPLAY SCR-u0050-cbl-405-20  .
 
060289 GET-FILENAME. 
060289     DISPLAY SCR-u0050-cbl-408-20  . 
072297     STRING "PRNIMG"       DELIMITED BY SIZE
                  USER-TERMID    DELIMITED BY SIZE
                  ".PRN"         DELIMITED BY SIZE
                  INTO USER-PTR-PATH.
060289     MOVE 0 TO FLAG. 
022711*    MOVE "1010000000" TO FKEYS. 
022711*    PERFORM STEST-u0050-cbl-415
022711*    CALL "SCRN01" USING FLAG, FKEYS, STEST-SCRN-SPECS, FILE-HELP,  
022711*         USER-PTR-PATH
022711*    PERFORM STEST-AFTER-CALL. 
070689     IF USER-PTR-PATH = SPACES AND FLAG NOT = 3 
072899        ACCEPT TIME-ACCP FROM TIME
              STRING TIME-ACCP       DELIMITED BY SIZE
                     ".PRN"          DELIMITED BY SIZE
                     INTO USER-PTR-PATH.
071089 
122202*FIND-QUEUE-NAMES.
122202*    IF QUEUE-CNT > 49
122202*       MOVE AT-END TO QUEUEF-STATUS
122202*    ELSE
122202*       PERFORM CALL-PRTQUE
122202*       IF REPLY-OK 
122202*          MOVE RL-OBJECT-ID TO RP-LAST-OBJECT 
122202*          INSPECT RL-OBJECT-NAME REPLACING ALL LOW-VALUES BY " "
122202*          IF INDMETALS AND LAST-OPTION = 020101 AND
122202*             USER-PTR-CHN = 2
122202*                PERFORM IMS-020101
122202*          ELSE
122202*                ADD 1 TO QUEUE-CNT 
122202*             MOVE RL-OBJECT-NAME TO QUEUE-NAME(QUEUE-CNT) 
122202*             MOVE RL-OBJECT-ID   TO QUEUE-OBJECT-ID(QUEUE-CNT) 
122202*       ELSE
122202*          MOVE AT-END TO QUEUEF-STATUS. 

       SORT-QUEUE-NAMES.
           IF QUEUE-NAME(CNT) > QUEUE-NAME(CNT2)
              MOVE Q-F-D(CNT2) TO TEMP-LINE
              MOVE Q-F-D(CNT)  TO Q-F-D(CNT2)
              MOVE TEMP-LINE   TO Q-F-D(CNT).
           IF CNT < QUEUE-CNT
              COMPUTE CNT2 = CNT2 + 1
              IF CNT2 > QUEUE-CNT
                 ADD 1 TO CNT
                 IF CNT < QUEUE-CNT
                    COMPUTE CNT2 = CNT + 1
                    GO TO SORT-QUEUE-NAMES
                 ELSE
                    NEXT SENTENCE
              ELSE
                 GO TO SORT-QUEUE-NAMES.

       LOAD-ARRAY.
052695     MOVE ZERO TO CNT2.
052695     INSPECT QUEUE-NAME(CNT) REPLACING ALL LOW-VALUES BY " ".
010603     IF QUEUE-NAME(CNT) = QUEUE-DEFAULT-NAME
010603        MOVE CNT TO QUEUE-DEFAULT-NO.
           MOVE Q-F-D(CNT) TO SA-OBJECT-NAME(CNT).

030995 CLEAR-WINDOW. 
030995     
            DISPLAY SCR-u0050-cbl-466-20
            DISPLAY SCR-u0050-cbl-467-20
            DISPLAY SCR-u0050-cbl-468-20
            DISPLAY SCR-u0050-cbl-469-20
            DISPLAY SCR-u0050-cbl-470-20
            DISPLAY SCR-u0050-cbl-471-20
            DISPLAY SCR-u0050-cbl-472-20
            DISPLAY SCR-u0050-cbl-473-20
            DISPLAY SCR-u0050-cbl-474-20
            DISPLAY SCR-u0050-cbl-475-20
            DISPLAY SCR-u0050-cbl-476-20
            DISPLAY SCR-u0050-cbl-477-20
            DISPLAY SCR-u0050-cbl-478-20
            DISPLAY SCR-u0050-cbl-479-20.

       DISPLAY-BOX-ARRAY.
           COMPUTE CNT = BOX-CNT + 8.
           DISPLAY SCR-u0050-cbl-483-20  .
           COMPUTE ARRAY-CNT = ARRAY-CNT + 1.

030995 HI-LITE-LINE. 
030995     COMPUTE CNT = BOX-CNT + 8. 
030995     MOVE "" TO SA-ARROW(ARRAY-CNT). 
030995     DISPLAY SCR-u0050-cbl-489-20   .

030995 UN-HI-LITE-LINE. 
030995     COMPUTE CNT = BOX-CNT + 8. 
030995     MOVE SPACES TO SA-ARROW(ARRAY-CNT). 
030995     DISPLAY SCR-u0050-cbl-494-20   .


032195 REMOVE-Q-BOX. 
051496         PERFORM DISPLAY-CLEAR-40 VARYING CNT FROM 6 BY 1
                       UNTIL CNT > 20.
032195         MOVE SPACES TO QUEUE-LINE.

051496 DISPLAY-CLEAR-40.
051496     DISPLAY SCR-u0050-cbl-503-20  .

122202 MOVE-QUEUE-INFO.
122202     IF CNTL8-QUEUE-NAME(CNT) NOT = SPACES
              ADD 1 TO QUEUE-CNT
122202        MOVE CNTL8-Q-F-D(CNT)   TO Q-F-D(QUEUE-CNT).
082005     COPY "TVAR.CBL" REPLACING 
                 ==COMMENT== BY "LOAD QUEUE CNT"
                 ==TVAR== BY CNT.
082005     COPY "TVAR.CBL" REPLACING 
                 ==COMMENT== BY "QUEUE-NAME"
                 ==TVAR== BY QUEUE-NAME(CNT).
082005     MOVE QUEUE-OBJECT-ID(CNT) TO QUEUE-NUM-X.
082005     COMPUTE TVARTMP = QUEUE-NUM-INTL.
082005     COPY "TVAR.CBL" REPLACING 
                 ==COMMENT== BY "QUEUE-ID"
                 ==TVAR== BY TVARTMP.

082205 TVAR-LOGIC.
082005     COPY "TVAR.CBL" REPLACING
                 ==COMMENT== BY "ARAY-CNT"
                 ==TVAR== BY ARRAY-CNT.
082005     COPY "TVAR.CBL" REPLACING
                 ==COMMENT== BY "QUEUE-NAME"
                 ==TVAR== BY QUEUE-DEFAULT-NAME.
082005     MOVE SET-OBJECT-ID TO QUEUE-NUM-X.
082005     COMPUTE TVARTMP = QUEUE-NUM-INTL.
082005      COPY "TVAR.CBL" REPLACING
                 ==COMMENT== BY "QUEUE-ID"
                 ==TVAR== BY TVARTMP.
       SUBROUTINE-EXIT. EXIT.

029500     COPY "CONTROL.SR". 
072899*    COPY "CTJULIAN.SR".
110103     COPY "ENDCAP.SR".
110103     COPY "CAPTURE1.SR".
110103     COPY "CHAINR.SR".

CS1486 GET-PRINT-OPTIONS SECTION.
       GET-PRINT-OPTIONS-START.
082197     MOVE WS-FKEYS TO FKEYS.
032405     MOVE CNTL-PRINTER(1) TO PRINT-CODE-OPT(1).
032405     MOVE CNTL-PRINTER(2) TO PRINT-CODE-OPT(2).
032405     MOVE CNTL-PRINTER(3) TO PRINT-CODE-OPT(3).
110295     PERFORM CLEAR-LINE-19 VARYING CNT FROM 6 BY 1 
110295             UNTIL CNT > 20.
040895     DISPLAY SCR-u0050-cbl-564-20  .  
           IF PRE-PRINTED-FORM 
              MOVE USER-FORMS-DEFAULT TO OPTION OF PRNT-1(1) 
           ELSE 
072904     IF LABEL-STOCK       
072904        MOVE USER-LABEL-DEFAULT-PTR TO OPTION OF PRNT-1(1) 
072904     ELSE 
053089        MOVE USER-STOCK-DEFAULT TO OPTION OF PRNT-1(1). 
072297     IF WS-DEFAULT-CODES = 9
072297        MOVE "IP" TO ATTR1 OF PRNT-1(2)
072297        MOVE "E " TO ATTR1 OF PRNT-1(1)
072297     ELSE
032296     IF WS-DEFAULT-CODES = ZERO
032296        MOVE USER-DEFAULT-CODES TO WS-DEFAULT-CODES
           ELSE
032405        MOVE "P " TO ATTR1 OF PRNT-1(2)
              MOVE "E " TO ATTR1 OF PRNT-1(1).
032405        MOVE WS-DEFAULT-CODES TO OPTION OF PRNT-1(2).
121704     MOVE "IP" TO ATTR1 OF PRNT-1(3).
121704     MOVE 2 TO OPTION OF PRNT-1(3).
121704     MOVE SPACES TO PRNT-1-04.
CS1200     MOVE 0 TO FLAG. 
071089     IF USER-PTR-CHN = 1  
071089        MOVE USER-PTR-OUT TO OPTION OF PRNT-1(1) 
032405        MOVE USER-PTR-CODES TO OPTION OF PRNT-1(2) 
071089        MOVE USER-PTR-SPL TO OPTION OF PRNT-1(3) 
060289     ELSE  
071089     IF (USER-PTR-CHN = 2)          AND  
              (USER-DEFAULT-OVERRIDE = 1) 
            DISPLAY SCR-u0050-cbl-611-23
            DISPLAY SCR-u0050-cbl-612-23
            DISPLAY SCR-u0050-cbl-613-23
            DISPLAY SCR-u0050-cbl-614-23
            DISPLAY SCR-u0050-cbl-615-23
            DISPLAY SCR-u0050-cbl-616-23
            DISPLAY SCR-u0050-cbl-617-23
            DISPLAY SCR-u0050-cbl-618-23 
              PERFORM STEST-u0050-cbl-619
111589        CALL "SCRN03" USING FLAG, FKEYS, STEST-SCRN-SPECS, 
031496             PRINT-HELP1, PRINT-DEVICES, PRINT-CODES, YES-NO
              PERFORM STEST-AFTER-CALL.
031796     IF FLAG NOT = ZERO
031796        NEXT SENTENCE
031796     ELSE
022711*   IF (OPTION OF PRNT-1(1) = 6) AND 
022711    IF (OPTION OF PRNT-1(1) = 4 OR 5 OR 6) AND 
071089        (USER-PTR-CHN NOT = 1) 
022711*       IF FILE-1 = "None      "
022711*          MOVE "NUL" TO USER-PTR-PATH
022711*       ELSE
060289           PERFORM GET-FILENAME 
060289           IF FLAG = 3  
071089              MOVE SPACES TO USER-PTR-PATH 
060289              GO TO GET-PRINT-OPTIONS-START.
102001     IF FLAG NOT = ZERO
102001        GO TO GET-PRINT-OPTIONS-EXIT.
      
102001     IF OPTION OF PRNT-1(2) = 4
102001        PERFORM ASK-DUPLEX THRU ASK-DUPLEX-EXIT
102001        IF FLAG = 3
102001           GO TO GET-PRINT-OPTIONS-START.
      
051095     IF FLAG NOT = ZERO
051095        NEXT SENTENCE
051095     ELSE     
092797*- NEEDED TO ALLOW COPIES TO BE SEND TO MULTIPLE QUEUES -*
092797*    IF USER-PTR-CHN NOT = 1  
092797     IF (USER-PTR-CHN = 1 AND LAST-OPTION = 020101) OR
052599        (USER-PTR-CHN = 1 AND LAST-OPTION = 020303) OR
071999        (USER-PTR-CHN = 1 AND LAST-OPTION = 000000) OR
120599        (USER-PTR-CHN = 1 AND RESET-PRINT-QUEUE   ) OR
              USER-PTR-CHN = 2
092295        IF OPTION OF PRNT-1(1) = 4 
030995           PERFORM REVERSE-COLORS 
030995           PERFORM QUEUE-SEARCH THRU QUEUE-SEARCH-EXIT
031595           MOVE "E " TO ATTR1 OF YES-NO-SPEC
051496           PERFORM SET-NORM-COLORS
032195           PERFORM REMOVE-Q-BOX
030995           IF FLAG = 3
052695              IF USER-DEFAULT-OVERRIDE = 1
120599                 MOVE 0 TO WS-DEFAULT-CODES
030995                 GO TO GET-PRINT-OPTIONS
052695              ELSE
052695                 MOVE 4 TO FLAG.
053089     MOVE OPTION OF PRNT-1(1) TO USER-PTR-OUT. 
053089     MOVE OPTION OF PRNT-1(3) TO USER-PTR-SPL. 
111589     MOVE OPTION OF PRNT-1(2) TO USER-PTR-CODES,
100100                                 WS-DEFAULT-CODES. 

121803*    IF USER-PTR-OUT < 0 OR USER-PTR-OUT > 7 
121803     IF USER-PTR-OUT < 0 OR USER-PTR-OUT > 8 
111490        MOVE 1 TO USER-PTR-OUT. 
111490     IF USER-PTR-SPL < 0 OR USER-PTR-SPL > 2 
111490        MOVE 1 TO USER-PTR-SPL. 
032595     IF USER-PTR-CODES < 0 OR USER-PTR-CODES > 4 
111490        MOVE 1 TO USER-PTR-CODES. 
071089     REWRITE USERF-REC. 

CS1486 GET-PRINT-OPTIONS-EXIT. EXIT.

102001 ASK-DUPLEX SECTION.
102001 ASK-DUPLEX-BEGIN.
103101     IF INDMETALS 
              GO TO ASK-DUPLEX-EXIT.
042202*    IF USER-PTR-CHN = 1 OR USER-DEFAULT-OVERRIDE = 1
042202     IF USER-PTR-CHN = 1 OR USER-DEFAULT-OVERRIDE = 2
102001        GO TO ASK-DUPLEX-EXIT.
110802     IF PRE-PRINTED-FORM OR OPTION OF PRNT-1(1) = 5
              MOVE 1 TO OPTION OF PRNT-2(1), USER-DUPLEX-CD
              GO TO ASK-DUPLEX-EXIT
           ELSE
022505*       MOVE 2 TO OPTION OF PRNT-2(1).
022505        MOVE 1 TO OPTION OF PRNT-2(1).
032405*    IF OPTION OF PRNT-1(1) = 8
032405*       MOVE 4 TO OPTION OF PRNT-1(2) 
032405*       GO TO ASK-DUPLEX-EXIT.
102001     DISPLAY SCR-u0050-cbl-695-20  .
102001     
            DISPLAY SCR-u0050-cbl-696-20
            DISPLAY SCR-u0050-cbl-697-20.
030995     MOVE "1010000000" TO FKEYS.
CS1200     MOVE 0 TO FLAG. 
              PERFORM STEST-u0050-cbl-700
111589        CALL "SCRN02" USING FLAG, FKEYS, STEST-SCRN-SPECS, 
031496             PRINT-HELP2, DUPLEX-OPTS, USER-PAPER-TRAY
              PERFORM STEST-AFTER-CALL.
102001     IF FLAG = 3
102001        GO TO ASK-DUPLEX-EXIT.
102001     MOVE OPTION OF PRNT-2(1) TO USER-DUPLEX-CD.
102001 ASK-DUPLEX-EXIT. EXIT.
 
030995 QUEUE-SEARCH SECTION. 
030995 QUEUE-SEARCH-START. 
           MOVE SPACES TO QUEUE-LINE.
032702     MOVE SPACES TO QUEUE-FOUND-DATA.
030995     MOVE 0 TO QUEUE-CNT. 
122202*    MOVE X"FFFFFFFF" TO RP-LAST-OBJECT. 
122202*    IF INDMETALS
122202*       PERFORM MOVE-IMS-QUEUE-INFO
122202*    ELSE
122202*       CALL "PRTQUE" USING REQUEST-PACKET,
122202*                              REPLY-PACKET,
122202*                             REPLY-STATUS.
122202*    MOVE X"FFFFFFFF"    TO RP-LAST-OBJECT.
122202*    PERFORM FIND-QUEUE-NAMES UNTIL QUEUEF-STATUS = AT-END.
122202*    MOVE 1 TO CNT, CNT2.
122202*    PERFORM SORT-QUEUE-NAMES.
           MOVE 7 TO CNTLF-KEY.
           PERFORM READ-CNTLF.
           MOVE  0 TO CNT3.
           PERFORM MOVE-QUEUE-INFO VARYING CNT FROM 1 BY 1 
               UNTIL CNT > 25.
           IF QUEUE-NAME(25) NOT = SPACES
              MOVE 8 TO CNTLF-KEY
              PERFORM READ-CNTLF
              MOVE 25 TO CNT3
              PERFORM MOVE-QUEUE-INFO VARYING CNT FROM 1 BY 1 
                  UNTIL CNT > 25.
032702     PERFORM LOAD-ARRAY VARYING CNT FROM 1 BY 1
                   UNTIL QUEUE-NAME(CNT) = SPACES
092797     IF USER-PTR-CHN NOT = 1  
              PERFORM CLEAR-WINDOW.
           MOVE QUEUE-DEFAULT-NO TO ARRAY-CNT.
           IF QUEUE-DEFAULT-NO = 99
              MOVE 1 TO ARRAY-CNT
           ELSE
              IF QUEUE-DEFAULT-NO < 11
                 MOVE 1 TO ARRAY-CNT
              ELSE 
                 COMPUTE ARRAY-CNT = QUEUE-DEFAULT-NO - 9.
092797     IF USER-PTR-CHN NOT = 1  
051496        PERFORM DISPLAY-BOX-ARRAY VARYING BOX-CNT FROM 1
                      BY 1 UNTIL BOX-CNT > 10.
           IF QUEUE-DEFAULT-NO = 99
              MOVE 1 TO ARRAY-CNT, BOX-CNT
           ELSE
              MOVE QUEUE-DEFAULT-NO TO ARRAY-CNT
              IF QUEUE-DEFAULT-NO < 11
                 MOVE QUEUE-DEFAULT-NO TO BOX-CNT
              ELSE
                 MOVE 10               TO BOX-CNT.
092797     IF USER-PTR-CHN NOT = 1  
              PERFORM HI-LITE-LINE.
030995     MOVE 0 TO FLAG .
030995     MOVE "1010110000" TO FKEYS.
           PERFORM QUEUE-ACCEPT THRU QUEUE-ACCEPT-EXIT .
           GO TO QUEUE-SEARCH-EXIT.

092797 QUEUE-SEARCH-EXIT. EXIT.

       QUEUE-ACCEPT SECTION.
       QUEUE-ACCEPT-LOOP.
092797     IF USER-PTR-CHN = 1
092297        MOVE ZERO TO FLAG
092297     ELSE
052695     IF USER-DEFAULT-OVERRIDE = 2 AND
              QUEUE-DEFAULT-NO NOT = 99
052695           MOVE ZERO TO FLAG
052695     ELSE
              PERFORM STEST-u0050-cbl-775
030995        CALL "SCRN01" USING FLAG, FKEYS, STEST-SCRN-SPECS, 
              QUEUE-HELP,                                               
030995            QUE-NAME
              PERFORM STEST-AFTER-CALL. 
           
           IF FLAG = 0
030995        MOVE QUEUE-OBJECT-ID(ARRAY-CNT) TO SET-OBJECT-ID 
120599        MOVE QUEUE-NAME(ARRAY-CNT) TO QUEUE-DEFAULT-NAME
082205        PERFORM TVAR-LOGIC
110103        PERFORM ENDCAP THRU ENDCAP-EXIT
110103        PERFORM CAPTURE THRU CAPTURE-EXIT
              GO TO QUEUE-ACCEPT-EXIT.

           IF FLAG = 3
              GO TO QUEUE-ACCEPT-EXIT.
    
           IF FLAG = 15
              MOVE 5 TO FLAG.
           IF FLAG = 16 
              MOVE 6 TO FLAG.

           IF FLAG = 5
              IF ARRAY-CNT = 1
                 DISPLAY SCR-u0050-cbl-799-26 
                 GO TO QUEUE-ACCEPT-LOOP
              ELSE
              IF BOX-CNT = 1
                 PERFORM UN-HI-LITE-LINE
                 SUBTRACT 1 FROM ARRAY-CNT
051496           PERFORM DISPLAY-BOX-ARRAY VARYING BOX-CNT FROM 1 BY 1
                         UNTIL BOX-CNT > 10
                 COMPUTE ARRAY-CNT = ARRAY-CNT - 10
                 MOVE 1 TO BOX-CNT
                 PERFORM HI-LITE-LINE
                 GO TO QUEUE-ACCEPT-LOOP
              ELSE
                 PERFORM UN-HI-LITE-LINE
                 SUBTRACT 1 FROM ARRAY-CNT
                 SUBTRACT 1 FROM BOX-CNT
                 PERFORM HI-LITE-LINE
                 GO TO QUEUE-ACCEPT-LOOP.
                 
           IF FLAG = 6
              IF ARRAY-CNT = QUEUE-CNT
                 DISPLAY SCR-u0050-cbl-820-26 
                 GO TO QUEUE-ACCEPT-LOOP
              ELSE
              IF BOX-CNT = 10
                 PERFORM UN-HI-LITE-LINE
                 COMPUTE ARRAY-CNT = ARRAY-CNT - 8
051496           PERFORM DISPLAY-BOX-ARRAY VARYING BOX-CNT FROM 1 BY 1
                         UNTIL BOX-CNT > 10
                 SUBTRACT 1 FROM ARRAY-CNT
                 MOVE 10 TO BOX-CNT
                 PERFORM HI-LITE-LINE
                 GO TO QUEUE-ACCEPT-LOOP
              ELSE
                 PERFORM UN-HI-LITE-LINE
                 ADD 1 TO ARRAY-CNT
                 ADD 1 TO BOX-CNT
                 PERFORM HI-LITE-LINE
                 GO TO QUEUE-ACCEPT-LOOP.
                 
       QUEUE-ACCEPT-EXIT. EXIT.

       Q-COLORS SECTION.
030995 REVERSE-COLORS.
030995     MOVE 0 TO MODE-NO-M, VIDEO-M.
030995     MOVE 1 TO REQUEST-M. 
030995     MOVE COLOR-SELECT(USER-BGRND-COLOR-CD) TO FORE-COLOR-M.
030995     MOVE COLOR-SELECT(USER-FGRND-COLOR-CD) TO BACK-COLOR-M. 
030995     PERFORM CHANGE-COLOR.

       Q-COLORS-EXIT. EXIT.

029200 IN-OUT SECTION.
122202 READ-CNTLF.
           PERFORM WITH TEST AFTER UNTIL RECORD-LOCK NOT EQUAL 
CLNUP1      CNTLF-STATUS OR IO-WAIT-OFF 
           READ CNTLF 
               INVALID KEY MOVE CNTLF-STATUS TO CNTLF-STATUS
           END-READ END-PERFORM.
              
       READ-USERF.
       REWRITE-USERF.
029300
032700 IN-OUT-EXIT. EXIT. 
       FILENAMES SECTION.
       FILL-PATHS.
            MOVE SPACES TO TEMP-SUB-DIR.
            STRING SUB-DIR DELIMITED BY LOW-VALUES INTO TEMP-SUB-DIR.
            PERFORM CNTLF-FILL-FULLPATH.
       CNTLF-FILL-FULLPATH.
            MOVE SPACES TO TEMP-MASTER-DIR.
            STRING MASTER-DIR DELIMITED BY LOW-VALUES INTO 
            TEMP-MASTER-DIR.
            MOVE SPACES TO CNTLF-FULLPATH.
            STRING TEMP-MASTER-DIR "\" TEMP-SUB-DIR "\" CNTLF--NAME 
            DELIMITED BY SPACES INTO CNTLF-FULLPATH.
       USERF-FILL-FULLPATH.
            MOVE SPACES TO TEMP-MASTER-DIR.
            STRING MASTER-DIR DELIMITED BY LOW-VALUES INTO 
            TEMP-MASTER-DIR.
            MOVE SPACES TO USERF-FULLPATH.
            STRING TEMP-MASTER-DIR "\" USERF--NAME DELIMITED BY SPACES 
            INTO USERF-FULLPATH.
       CHAINCALLS SECTION.
       CHN--PARM-BLOCK.
            COPY "CHAIN.CBL" REPLACING ==PARAM-BLOCK== BY ==PARM-BLOCK==
            .

       CHNR-DOS-CALL-PARAM-BLOCK-DOS.
            COPY "CHAINR.CBL" REPLACING ==NEXT-PROG== BY ==DOS-CALL== 
            ==RETURN-CD== BY ==DOS-RET-CODE==.

       CHN--WS-PASSED.
            COPY "CHAIN.CBL" REPLACING ==PARAM-BLOCK== BY ==WS-PASSED==.

       GETCP-WS-PASSED.
            COPY "GETCP.CBL" REPLACING ==PARAM-BLOCK== BY ==WS-PASSED==.

       SCRN-TEST SECTION.
            COPY "STEST.SR".
CLNUP1*STEST-errorfil-sr-46.
CLNUP1*     MOVE "   u0050.cbl  errorfil.sr   46" TO STEST-KEY.
CLNUP1*     MOVE ERROR-FIELD TO STEST-SCRN-SPECS.
CLNUP1*     MOVE FUNCTION ADDR(ERROR-FIELD) TO STEST-PTR.
CLNUP1*     PERFORM STEST-BEGIN.
CLNUP1*     COMPUTE STEST-PARAM-SIZE OF STEST-PARAMS (STEST-PARAM-NUM)
CLNUP1*     = FUNCTION LENG (FLAG).
CLNUP1*     MOVE 4 TO STEST-PARAM-W-SIZE OF 
CLNUP1*     STEST-PARAMS (STEST-PARAM-NUM).
CLNUP1*     MOVE "FLAG" TO STEST-PARAM-NAME OF 
CLNUP1*     STEST-PARAMS (STEST-PARAM-NUM).
CLNUP1*     PERFORM STEST-PARAM-CHECK.
CLNUP1*     COMPUTE STEST-PARAM-SIZE OF STEST-PARAMS (STEST-PARAM-NUM)
CLNUP1*     = FUNCTION LENG (FKEYS).
CLNUP1*     MOVE 10 TO STEST-PARAM-W-SIZE OF 
CLNUP1*     STEST-PARAMS (STEST-PARAM-NUM).
CLNUP1*     MOVE "FKEYS" TO STEST-PARAM-NAME OF 
CLNUP1*     STEST-PARAMS (STEST-PARAM-NUM).
CLNUP1*     PERFORM STEST-PARAM-CHECK.
CLNUP1*     COMPUTE STEST-PARAM-SIZE OF STEST-PARAMS (STEST-PARAM-NUM)
CLNUP1*     = FUNCTION LENG (ERROR-FIELD).
CLNUP1*     MOVE 14 TO STEST-PARAM-W-SIZE OF 
CLNUP1*     STEST-PARAMS (STEST-PARAM-NUM).
CLNUP1*     MOVE "ERROR-FIELD" TO STEST-PARAM-NAME OF 
CLNUP1*     STEST-PARAMS (STEST-PARAM-NUM).
CLNUP1*     PERFORM STEST-PARAM-CHECK.
CLNUP1*     PERFORM STEST-SKIP.
CLNUP1*     COMPUTE STEST-PARAM-SIZE OF STEST-PARAMS (STEST-PARAM-NUM)
CLNUP1*     = FUNCTION LENG (ERROR-ANSWER).
CLNUP1*     MOVE FLEN OF STEST-SPECS (1) TO STEST-PARAM-W-SIZE OF 
CLNUP1*     STEST-PARAMS (STEST-PARAM-NUM).
CLNUP1*     MOVE "ERROR-ANSWER" TO STEST-PARAM-NAME OF 
CLNUP1*     STEST-PARAMS (STEST-PARAM-NUM).
CLNUP1*     PERFORM STEST-PARAM-CHECK.
CLNUP1*     PERFORM STEST-FINAL.
       STEST-u0050-cbl-415.
            MOVE "   u0050.cbl               415" TO STEST-KEY.
            MOVE FILE-SPECS TO STEST-SCRN-SPECS.
            MOVE FUNCTION ADDR(FILE-SPECS) TO STEST-PTR.
            PERFORM STEST-BEGIN.
            COMPUTE STEST-PARAM-SIZE OF STEST-PARAMS (STEST-PARAM-NUM)
            = FUNCTION LENG (FLAG).
            MOVE 4 TO STEST-PARAM-W-SIZE OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            MOVE "FLAG" TO STEST-PARAM-NAME OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            PERFORM STEST-PARAM-CHECK.
            COMPUTE STEST-PARAM-SIZE OF STEST-PARAMS (STEST-PARAM-NUM)
            = FUNCTION LENG (FKEYS).
            MOVE 10 TO STEST-PARAM-W-SIZE OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            MOVE "FKEYS" TO STEST-PARAM-NAME OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            PERFORM STEST-PARAM-CHECK.
            COMPUTE STEST-PARAM-SIZE OF STEST-PARAMS (STEST-PARAM-NUM)
            = FUNCTION LENG (FILE-SPECS).
            MOVE 14 TO STEST-PARAM-W-SIZE OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            MOVE "FILE-SPECS" TO STEST-PARAM-NAME OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            PERFORM STEST-PARAM-CHECK.
            PERFORM STEST-SKIP.
            COMPUTE STEST-PARAM-SIZE OF STEST-PARAMS (STEST-PARAM-NUM)
            = FUNCTION LENG (USER-PTR-PATH).
            MOVE FLEN OF STEST-SPECS (1) TO STEST-PARAM-W-SIZE OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            MOVE "USER-PTR-PATH" TO STEST-PARAM-NAME OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            PERFORM STEST-PARAM-CHECK.
            PERFORM STEST-FINAL.
       STEST-u0050-cbl-619.
            MOVE "   u0050.cbl               619" TO STEST-KEY.
            MOVE PRNT-SPECS-1 TO STEST-SCRN-SPECS.
            MOVE FUNCTION ADDR(PRNT-SPECS-1) TO STEST-PTR.
            PERFORM STEST-BEGIN.
            COMPUTE STEST-PARAM-SIZE OF STEST-PARAMS (STEST-PARAM-NUM)
            = FUNCTION LENG (FLAG).
            MOVE 4 TO STEST-PARAM-W-SIZE OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            MOVE "FLAG" TO STEST-PARAM-NAME OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            PERFORM STEST-PARAM-CHECK.
            COMPUTE STEST-PARAM-SIZE OF STEST-PARAMS (STEST-PARAM-NUM)
            = FUNCTION LENG (FKEYS).
            MOVE 10 TO STEST-PARAM-W-SIZE OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            MOVE "FKEYS" TO STEST-PARAM-NAME OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            PERFORM STEST-PARAM-CHECK.
            COMPUTE STEST-PARAM-SIZE OF STEST-PARAMS (STEST-PARAM-NUM)
            = FUNCTION LENG (PRNT-SPECS-1).
            MOVE 42 TO STEST-PARAM-W-SIZE OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            MOVE "PRNT-SPECS-1" TO STEST-PARAM-NAME OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            PERFORM STEST-PARAM-CHECK.
            PERFORM STEST-SKIP.
            COMPUTE STEST-PARAM-SIZE OF STEST-PARAMS (STEST-PARAM-NUM)
            = FUNCTION LENG (PRINT-DEVICES).
            MOVE FLEN OF STEST-SPECS (1) TO STEST-PARAM-W-SIZE OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            MOVE "PRINT-DEVICES" TO STEST-PARAM-NAME OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            PERFORM STEST-PARAM-CHECK.
            COMPUTE STEST-PARAM-SIZE OF STEST-PARAMS (STEST-PARAM-NUM)
            = FUNCTION LENG (PRINT-CODES).
            MOVE FLEN OF STEST-SPECS (2) TO STEST-PARAM-W-SIZE OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            MOVE "PRINT-CODES" TO STEST-PARAM-NAME OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            PERFORM STEST-PARAM-CHECK.
            COMPUTE STEST-PARAM-SIZE OF STEST-PARAMS (STEST-PARAM-NUM)
            = FUNCTION LENG (YES-NO).
            MOVE FLEN OF STEST-SPECS (3) TO STEST-PARAM-W-SIZE OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            MOVE "YES-NO" TO STEST-PARAM-NAME OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            PERFORM STEST-PARAM-CHECK.
            PERFORM STEST-FINAL.
       STEST-u0050-cbl-700.
            MOVE "   u0050.cbl               700" TO STEST-KEY.
            MOVE PRNT-SPECS-2 TO STEST-SCRN-SPECS.
            MOVE FUNCTION ADDR(PRNT-SPECS-2) TO STEST-PTR.
            PERFORM STEST-BEGIN.
            COMPUTE STEST-PARAM-SIZE OF STEST-PARAMS (STEST-PARAM-NUM)
            = FUNCTION LENG (FLAG).
            MOVE 4 TO STEST-PARAM-W-SIZE OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            MOVE "FLAG" TO STEST-PARAM-NAME OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            PERFORM STEST-PARAM-CHECK.
            COMPUTE STEST-PARAM-SIZE OF STEST-PARAMS (STEST-PARAM-NUM)
            = FUNCTION LENG (FKEYS).
            MOVE 10 TO STEST-PARAM-W-SIZE OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            MOVE "FKEYS" TO STEST-PARAM-NAME OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            PERFORM STEST-PARAM-CHECK.
            COMPUTE STEST-PARAM-SIZE OF STEST-PARAMS (STEST-PARAM-NUM)
            = FUNCTION LENG (PRNT-SPECS-2).
            MOVE 28 TO STEST-PARAM-W-SIZE OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            MOVE "PRNT-SPECS-2" TO STEST-PARAM-NAME OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            PERFORM STEST-PARAM-CHECK.
            PERFORM STEST-SKIP.
            COMPUTE STEST-PARAM-SIZE OF STEST-PARAMS (STEST-PARAM-NUM)
            = FUNCTION LENG (DUPLEX-OPTS).
            MOVE FLEN OF STEST-SPECS (1) TO STEST-PARAM-W-SIZE OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            MOVE "DUPLEX-OPTS" TO STEST-PARAM-NAME OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            PERFORM STEST-PARAM-CHECK.
            COMPUTE STEST-PARAM-SIZE OF STEST-PARAMS (STEST-PARAM-NUM)
            = FUNCTION LENG (USER-PAPER-TRAY).
            MOVE FLEN OF STEST-SPECS (2) TO STEST-PARAM-W-SIZE OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            MOVE "USER-PAPER-TRAY" TO STEST-PARAM-NAME OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            PERFORM STEST-PARAM-CHECK.
            PERFORM STEST-FINAL.
       STEST-u0050-cbl-775.
            MOVE "   u0050.cbl               775" TO STEST-KEY.
            MOVE QUEUE-SPECS TO STEST-SCRN-SPECS.
            MOVE FUNCTION ADDR(QUEUE-SPECS) TO STEST-PTR.
            PERFORM STEST-BEGIN.
            COMPUTE STEST-PARAM-SIZE OF STEST-PARAMS (STEST-PARAM-NUM)
            = FUNCTION LENG (FLAG).
            MOVE 4 TO STEST-PARAM-W-SIZE OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            MOVE "FLAG" TO STEST-PARAM-NAME OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            PERFORM STEST-PARAM-CHECK.
            COMPUTE STEST-PARAM-SIZE OF STEST-PARAMS (STEST-PARAM-NUM)
            = FUNCTION LENG (FKEYS).
            MOVE 10 TO STEST-PARAM-W-SIZE OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            MOVE "FKEYS" TO STEST-PARAM-NAME OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            PERFORM STEST-PARAM-CHECK.
            COMPUTE STEST-PARAM-SIZE OF STEST-PARAMS (STEST-PARAM-NUM)
            = FUNCTION LENG (QUEUE-SPECS).
            MOVE 14 TO STEST-PARAM-W-SIZE OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            MOVE "QUEUE-SPECS" TO STEST-PARAM-NAME OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            PERFORM STEST-PARAM-CHECK.
            PERFORM STEST-SKIP.
            COMPUTE STEST-PARAM-SIZE OF STEST-PARAMS (STEST-PARAM-NUM)
            = FUNCTION LENG (QUE-NAME).
            MOVE FLEN OF STEST-SPECS (1) TO STEST-PARAM-W-SIZE OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            MOVE "QUE-NAME" TO STEST-PARAM-NAME OF 
            STEST-PARAMS (STEST-PARAM-NUM).
            PERFORM STEST-PARAM-CHECK.
            PERFORM STEST-FINAL.
032800*END-OF-FILE* 
